#!/bin/sh
# copy stdin to either the Wayland (wl-copy) or X11 (xclip) clipboard
# Copyright (C) 2023 Brian S. Stephan <bss@incorporeal.org>
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <https://www.gnu.org/licenses/>.

if [[ -z "${WAYLAND_DISPLAY}" ]]; then
    xclip -in -selection clipboard
else
    wl-copy
fi
